<section class="menu menu--circle"  (swipeleft)="swipe($event.type)" (swiperight)="swipe($event.type)">
    <input type="checkbox" id="menu__active"/>
    <label for="menu__active" class="menu__active">
        <div class="menu__toggle">
            <div class="icon">
                <div class="hamburger"></div>
            </div>
        </div>
        <input type="radio" name="arrow--up" id="degree--up-0"/>
        <input type="radio" name="arrow--up" id="degree--up-1" />
        <input type="radio" name="arrow--up" id="degree--up-2" />
<!--        FIXME: Put the following line instead if you want animations on swipe and activate hammerjs-->
<!--        <div class="menu__listings" [@changeState]="currentState">-->
        <div class="menu__listings">
            <ul class="circle">
                <li *ngFor="let link of links">
                    <div class="placeholder">
                        <div class="upside">
                            <fa-icon [icon]="link.icon" (click)="action(link.action); navigate(link.destination)"></fa-icon>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
        <div class="menu__arrow menu__arrow--top">
            <ul>
                <li>
                    <label for="degree--up-0"><div class="arrow"></div></label>
                    <label for="degree--up-1"><div class="arrow"></div></label>
                    <label for="degree--up-2"><div class="arrow"></div></label>
                </li>
            </ul>
        </div>
    </label>
</section>